PO_GNATDIST(1)

NAME
po_gnatdist - a tool to build a DSA application with polyorb

SYNOPSYS
po_gnatdist [switches] configuration-file [list-of-partitions]

DESCRIPTION

po_gnatdist is a program let you build distributed applications with GNAT, the GNU Ada 95 compiler. It is part of the POLYORB package.

OPTIONS
po_gnatdist accepts the following options:

all gnatmake switches

-PCS
    allows the user to override the default selection of distribution runtime library (PCS).

-n  allows po_gnatdist to skip the first stage of recompilation of the non-distributed application.

CONFIGURATION FILE
The names of all configuration files must have the suffix .cfg. There may be several configuration files for the same distributed application, as the user may want to use different distributed configurations depending on load and other characteristics of the computing environment.

PARTITIONS
If a list of partitions is provided on the command line of the po_gnatdist command, only these partitions will be built. In the following configuration example, the user can type : po_gnatdist <configuration> <partition_2> <partition_3>

AUTHOR
This manual page was written by Xavier Grave <xavier.grave@ipno.in2p3.fr>, for the Debian GNU/Linux system (but may be used by others). Most of the material of this man page was grabed on : http://www.adacore.com/wp-content/files/auto_update/polyorb-docs/polyorb_ug.html/